org.apache.poi.sl.usermodel

## Enum TabStop.TabStopType

- java.lang.Object
- - java.lang.Enum<TabStop.TabStopType>
  - - org.apache.poi.sl.usermodel.TabStop.TabStopType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TabStop.TabStopType>
  Enclosing interface:
    TabStop

      public static enum TabStop.TabStopType
      extends java.lang.Enum<TabStop.TabStopType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `DECIMAL`
    `LEFT`
    `RIGHT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TabStop.TabStopType` | `fromNativeId(int nativeId)`
    `static TabStop.TabStopType` | `fromOoxmlId(int ooxmlId)`
    `static TabStop.TabStopType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TabStop.TabStopType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final TabStop.TabStopType LEFT

    - #### CENTER

          public static final TabStop.TabStopType CENTER

    - #### RIGHT

          public static final TabStop.TabStopType RIGHT

    - #### DECIMAL

          public static final TabStop.TabStopType DECIMAL

  - ### Field Detail

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static TabStop.TabStopType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabStop.TabStopType c : TabStop.TabStopType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabStop.TabStopType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static TabStop.TabStopType fromNativeId(int nativeId)

    - #### fromOoxmlId

          public static TabStop.TabStopType fromOoxmlId(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.